import { Injectable } from '@angular/core';

import {CommonsService} from './commons.service';
import {environment} from '../../environments/environment';
import {HttpClient} from '@angular/common/http';

@Injectable({
  providedIn: 'root'
})
export class MerchantTripartitePlatformService {

  constructor(
      private http: HttpClient,
      private common: CommonsService
  ) { }

  /**
   * 查询商户列表
   *
   * @param  paramsObject   对象
   * @param  callBack   回调
   */
  public editTripartitePlatform(paramsObject: object, callBack) {
    this.http.post(environment.baseUrl + 'merchantTripartitePlatform/editTripartitePlatform', paramsObject).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询详情
   *
   * @param  paramsObject   对象
   * @param  callBack   回调
   */
  public getDetail(merId: number, platformType: number, callBack) {
    this.http.get(environment.baseUrl + 'merchantTripartitePlatform/getDetail?merId=' + merId + '&platformType=' + platformType).subscribe(data => {
      callBack(data);
    });
  }
}
